Subject: Re: [PATCH 2/3 v3] ipv6: convert the uses of ADBG and remove the superfluous parentheses

From: Ding Tianhong <[email-masked]>
Date: Wed, 14 Aug 2013 11:47:30 +0800

On 2013/8/14 11:44, Joe Perches wrote:
> On Wed, 2013-08-14 at 11:36 +0800, Ding Tianhong wrote:
>> Just follow the Joe Perches's opinion, it is a better way to fix the
>> style errors.
> 
> []
> 
>> Signed-off-by: Joe Perches <[email-masked]>
> 
> Nope, not signed by me.  I sent you a suggestion.
> Please don't add Signed-off-by: signatures for others.
> Maybe you might use Suggested-by:
> 
>> Signed-off-by: Ding Tianhong <[email-masked]>
> 
>> diff --git a/net/ipv6/addrconf.c b/net/ipv6/addrconf.c
> 
>> @@ -99,9 +99,9 @@
>>  #define ACONF_DEBUG 2
>>  
>>  #if ACONF_DEBUG >= 3
>> -#define ADBG(x) printk x
>> +#define ADBG(fmt, ...) printk(fmt, ##__VA_ARGS__)
>>  #else
>> -#define ADBG(x)
>> +#define ADBG(fmt, ...) do {} while (0)
> 
> btw:  The macro I suggested will always verify format
> and arguments.  This will not.
> 
> #define ADBG(fmt, ...) do { if (0) printk(fmt, ##__VA_ARGS__); } while (0)
> 
> 

yes, I got your opinion , but I think it's more simple and clear, maybe not align  :)

> .